Skip to content
extensions / Commerce extension
POST/__runtime/categories/carousels

Create Carousel

Lists storefront category carousels with rendered product HTML for a project or host.

POST

Authentication

Requirement
Not specified
Credential type
Not specified
Scopes
Not specified

Permissions

  • Requires a project with the commerce or portfolio extension enabled.

Headers

Path Parameters

Query Parameters

Request Body

Schema: RuntimeCategoryCarouselsRequest

FieldRequiredTypeDetails
project_idNointeger
Description: Target project identifier.
offsetNointeger
Description: Integer value.
limitNointeger
Description: Maximum number of records to return.
products_limitNointeger
Description: Integer value.
product_typeNostring
Description: Product type value.
category_keyNostring
Description: Text value.
orderNointeger
Description: Sort field used by this operation.
category_slugNostring
Description: URL-safe slug value.
category_slugsNoarray<string>
Description: Array value.
Items: string
category_idsNoarray<integer>
Description: Array value.
Items: integer
exclude_product_idsNoarray<integer>
Description: Array value.
Items: integer
product_item_codeNostring
Description: Text value.
featured_product_item_codeNostring
Description: Text value.
product_item_codesNoarray<string>
Description: Array value.
Items: string
featured_product_item_codesNoarray<string>
Description: Array value.
Items: string

Response Body

Example 200 response

json
{
  "items": [],
  "has_more": true,
  "next_offset": 1
}

Errors

404 NOT_FOUND

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified